package com.sensor.iot.api.service;

import com.sensor.iot.api.model.ApiResp;
import com.sensor.iot.api.model.DeviceReq;

import java.util.Map;

/**
 * DeviceApiService
 *
 * @author Frank
 */
public interface DeviceApiService {

    /**
     * 创建设备信息
     *
     * @param params {@link DeviceReq}
     * @return {@link ApiResp}
     */
    ApiResp<Map<String, Object>> createDevice(DeviceReq params);

    /**
     * 更新设备信息
     *
     * @param params {@link DeviceReq}
     * @return {@link ApiResp}
     */
    ApiResp<Map<String, Object>> updateDevice(DeviceReq params);

    /**
     * 查询设备信息
     *
     * @param deviceId 设备编号
     * @return {@link ApiResp}
     */
    ApiResp<Map<String, Object>> queryInfo(String deviceId);

    /**
     * 删除设备信息
     *
     * @param deviceId 设备编号
     * @return {@link ApiResp}
     */
    ApiResp<Map<String, Object>> deleteDevice(String deviceId);
}
