package com.sensor.iot.api.service;

import com.sensor.iot.api.model.*;

import java.util.Map;

/**
 * DeviceOptApiService
 *
 * @author Frank
 */
public interface DeviceOptApiService {

    /**
     * 读取设备属性
     *
     * @param params {@link ReadPropReq}
     * @return {@link ApiResp}
     */
    ApiResp<Map<String, Object>> readProperty(ReadPropReq params);

    /**
     * 编辑设备属性
     *
     * @param params {@link WritePropReq}
     * @return {@link ApiResp}
     */
    ApiResp<Map<String, Object>> writeProperty(WritePropReq params);

    /**
     * 下发自定义消息
     *
     * @param params {@link SendMsgReq}
     * @return {@link ApiResp}
     */
    ApiResp<Map<String, Object>> sendMsg(SendMsgReq params);

    /**
     * 执行设备功能
     *
     * @param params {@link ExecFuncReq}
     * @return {@link ApiResp}
     */
    ApiResp<Map<String, Object>> funcInvoke(ExecFuncReq params);


}
